org.glassfish.jersey

## Enum Severity

- java.lang.Object
- - java.lang.Enum<Severity>
  - - org.glassfish.jersey.Severity

All Implemented Interfaces:
  Serializable, Comparable<Severity>

    public enum Severity
    extends Enum<Severity>

Common severity.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FATAL` Fatal.
`HINT` Hint.
`WARNING` Warning.

### Method Summary

All Methods Static Methods Concrete Methods
`static Severity` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Severity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FATAL

    public static final Severity FATAL

Fatal.

#### WARNING

    public static final Severity WARNING

Warning.

#### HINT

    public static final Severity HINT

Hint.

### Method Detail

#### values

    public static Severity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Severity c : Severity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Severity valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null